use bevy::prelude::FromReflect;
use kayak_ui::prelude::{Edge, StyleProp, Units};

#[inline(always)]
pub fn px(val: f32) -> StyleProp<Units> {
	StyleProp::Value(Units::Pixels(val))
}

#[inline(always)]
pub fn edge_px(val: f32) -> StyleProp<Edge<Units>> {
	StyleProp::Value(Edge::all(Units::Pixels(val)))
}

#[inline(always)]
pub fn pct(val: f32) -> StyleProp<Units> {
	StyleProp::Value(Units::Percentage(val))
}

#[inline(always)]
pub fn stretch(val: f32) -> StyleProp<Units> {
	StyleProp::Value(Units::Stretch(val))
}

#[inline(always)]
pub fn val_auto() -> StyleProp<Units> {
	StyleProp::Value(Units::Auto)
}

#[inline(always)]
pub fn value<T: Clone + Default + FromReflect>(val: T) -> StyleProp<T> {
	StyleProp::Value(val)
}
